part of 'search_bloc.dart';

abstract class SearchEvent extends Equatable {
  const SearchEvent();

  @override
  List<Object> get props => [];
}

/// 初始化方法
class SearchInitEvent extends SearchEvent {
  final Map<String, dynamic> model;

  const SearchInitEvent({this.model});

  @override
  List<Object> get props => [model];
}

/// 搜索方法
class SearchSubmitEvent extends SearchEvent {
  final String model;

  const SearchSubmitEvent({@required this.model});

  @override
  List<Object> get props => [this.model];
}
